/* RESET */
:root :where(.is-layout-constrained) > * {
  margin-block-start: 0;
  margin-block-end: 0;
}

.wp-block-spacer {
  margin-block-start: 0 !important;
  margin-block-end: 0 !important;
}

/* don't display "by default" title from WordPress */
h1:first-child {
  display: none !important;
}

/* HELPERS */
@media (max-width: 420px) {
  .hide-on-small-mobile {
    display: none !important;
  }
}

.no-margin-block-start {
  margin-block-start: 0 !important;
}

.custom-reset-padding-bottom {
  padding-bottom: 0 !important;
}

/* ELEMENTS */

/* START this is for button with linkedin icon in custom patterns "organisateur" and "soutien" actually unused */
.custom-linkedin-button a {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.5em;
}

.custom-linkedin-button a::before {
  display: block;
  width: 16px;
  height: 16px;
  content: '';
  background-image: url('https://impactjobs.co/wp-content/uploads/2026/03/icon-linkedin.png');
  background-size: contain;
  background-repeat: no-repeat;
}

.custom-linkedin-button:hover a {
  background-color: #084d91 !important;
}
/* END this is for button with linkedin icon in custom patterns "organisateur" and "soutien" actually unused */

/* BUTTON */
.wp-block-button__link:hover {
  background-color: var(--wp--preset--color--custom-173-c-0-a) !important;
}

/* VIDEO */
.custom-video video {
  border-radius: 8px;
}

/* HOMEPAGE */
.custom-responsive-h1-homepage {
  flex-flow: column-reverse;
}

@media (min-width: 960px) {
  .custom-responsive-h1-homepage {
    flex-flow: row;
  }
}

/* HOMEPAGE */

/* position the "5" close to the h1 for the homepage */
.custom-pastille {
  max-width: 50px !important;
  transform: translateY(20px);
}

@media (min-width: 960px) {
  .custom-pastille {
    transform: translate(-20px, -30px);
  }
}

/* START show dates for event on homepage on a row on desktop, on column on mobile and on 2 row on tablet */
.custom-date-mobile-only {
  display: none !important;
}

@media (min-width: 0px) and (max-width: 479px) {
  .custom-date-mobile-only {
    display: flex !important;
  }
}

.custom-date-tablet-only {
  display: none !important;
}

@media (min-width: 479px) and (max-width: 1219px) {
  .custom-date-tablet-only {
    display: flex !important;
  }
}

.custom-date-tablet-full-width {
  width: 100% !important;
}

.custom-date-desktop-only {
  display: none !important;
}

@media (min-width: 1220px) {
  .custom-date-desktop-only {
    display: flex !important;
  }
}
/* END show dates for event on homepage on a row on desktop, on column on mobile and on 2 row on tablet */

.custom-wrap-practical-experience {
  flex-flow: column !important;
}

@media (min-width: 894px) {
  .custom-wrap-practical-experience {
    flex-flow: row !important;
  }
}

/* fix issues with the wrapping of the last "cta" bloc or the homepage */
.custom-wrapping-cta-enterprise-or-talent {
  display: flex !important;
  flex-flow: column !important;
}

/* the line we use on mobile to separate "organisation" and "talents" */
.custom-wrapping-cta-enterprise-or-talent > div.wp-block-column:first-child::after {
  content: '';
  display: block;
  width: 100%;
  height: 1px;
  background-color: #9ad0f7;
  margin-top: 2em;
}

@media (min-width: 1424px) {
  .custom-wrapping-cta-enterprise-or-talent {
    flex-flow: row !important;
  }

  .custom-wrapping-cta-enterprise-or-talent > div.wp-block-column:first-child::after {
    display: none;
  }
}

/* the line we use on desktop to separate "organisation" and "talents" */
.custom-separation-cta-enterprise-or-talent-desktop-only {
  display: none;
}

@media (min-width: 1424px) {
  .custom-separation-cta-enterprise-or-talent-desktop-only {
    display: flex;
  }
}

/* SECTION */
/* that section is unused actually but is available in patterns of wordpress for eventual future usage */
.custom-ecosystem-card {
  width: 100%;
  background-position: center;
}

@media (min-width: 1024px) {
  .custom-ecosystem-card {
    width: 33%;
  }
}

/* CUSTOM GRID */
.custom-multi-columns {
  display: grid;
  grid-template-columns: repeat(4, minmax(0, 1fr));
  gap: 2rem;
  align-items: stretch;
}

.custom-multi-columns > * {
  height: 100%;
}

.custom-multi-columns h3 {
  margin-top: 8px;
}

.custom-multi-columns > .wp-block-group,
.custom-multi-columns > .wp-block-column {
  height: 100%;
  display: flex;
  flex-direction: column;
}

@media (max-width: 1024px) {
  .custom-multi-columns {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 1.5rem;
  }
}

@media (max-width: 420px) {
  .custom-multi-columns {
    grid-template-columns: 1fr;
    gap: 1rem;
  }
}

/* FOOTER */
footer {
  margin-block-start: 0 !important;
  border-top: 1px solid #2f834f !important;
}

.custom-footer-about {
  max-width: 480px;
  width: 100%;
}

.custom-footer-about-baseline {
  font-style: italic;
}

.wp-block-epico-dynamic-year-block {
  margin-right: 0.2em !important;
}

.custom-made-by-footer p {
  text-align: left;
}

@media (min-width: 782px) {
  .custom-made-by-footer p {
    text-align: right;
  }
}

.custom-copyright-and-made-by-container-footer {
  gap: 0 !important;
}
